<html>
<head>
<title>Network Programming Homework4</title>
</head>
<body bgcolor="#336699">
<form method="get" action="hw4.cgi">
<table>
<tr><td>&nbsp;</td><td>IP</td><td>PORT</td><td>Patch File Name</td><td>&nbsp;</td><td>IP</td><td>PORT</td></tr>
<tr><td>Host1</td><td><input type="text" name="h1"></td><td><input type="text" name="p1"></td><td><input type="text" name="f1"></td><td>Socks Server1</td><td><input type="text" name="H1"></td><td><input type="text" name="P1"></td></tr>
<tr><td>Host2</td><td><input type="text" name="h2"></td><td><input type="text" name="p2"></td><td><input type="text" name="f2"></td><td>Socks Server2</td><td><input type="text" name="H2"></td><td><input type="text" name="P2"></td></tr>
<tr><td>Host3</td><td><input type="text" name="h3"></td><td><input type="text" name="p3"></td><td><input type="text" name="f3"></td><td>Socks Server3</td><td><input type="text" name="H3"></td><td><input type="text" name="P3"></td></tr>
<tr><td>Host4</td><td><input type="text" name="h4"></td><td><input type="text" name="p4"></td><td><input type="text" name="f4"></td><td>Socks Server4</td><td><input type="text" name="H4"></td><td><input type="text" name="P4"></td></tr>
<tr><td>Host5</td><td><input type="text" name="h5"></td><td><input type="text" name="p5"></td><td><input type="text" name="f5"></td><td>Socks Server5</td><td><input type="text" name="H5"></td><td><input type="text" name="P5"></td></tr>
<tr><td colspan="5"><input type="submit" value="Send"></td></tr>
</table>
</form>
</body>
</html>
